%global gem_name showoff
%global rubyabi 1.9.1

%if 0%{?el6}%{?fc16}
%global rubyabi 1.8
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%endif

Summary: The best damn presentation software a developer could ever love
Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/schacon/showoff/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(sinatra)
Requires: rubygem(redcarpet)
Requires: rubygem(nokogiri)
Requires: rubygem(json)
Requires: rubygem(gli)
Requires: rubygem(parslet)
BuildRequires: rubygem(mg)

%if 0%{?el6}%{?fc16}
BuildRequires: rubygems
%else
BuildRequires: rubygems-devel
%endif

BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}



%description
ShowOff is a Sinatra web app that reads simple configuration files for a
presentation. It is sort of like a Keynote web app engine. I am using it
to do all my talks in 2010, because I have a deep hatred in my heart for
Keynote and yet it is by far the best in the field.

The idea is that you setup your slide files in section subdirectories and
then startup the showoff server in that directory. It will read in your
showoff.json file for which sections go in which order and then will give
you a URL to present from.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
mv %{buildroot}%{gem_dir}/bin/ %{buildroot}%{_bindir}

%check
# Upstream tests appear to fail

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%{gem_instdir}/bin
%{gem_instdir}/public
%{gem_instdir}/views/*.erb
%{gem_instdir}/LICENSE
%{_bindir}/showoff

%files doc
%{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc


%changelog
* Thu Apr 26 2012 Matt Wagner <matt.wagner@redhat.com> - 0.7.0-1
- Initial package
